Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		perl
Epoch:		3
Version:	5.10.0
Release:	3
License:	GNU/GPL 
URL:		http://www.perl.org
Group:		Development/Perl
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.prov
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
Summary:	The Perl package contains the Practical Extraction and Report Language.

Provides:	perl /usr/bin/perl 
Provides:	perl(VMS::Filespec)
Provides: 	perl(VMS::Stdio)
Provides: 	perl(abbrev.pl)
Provides: 	perl(assert.pl)
Provides: 	perl(bigfloat.pl)
Provides: 	perl(bigint.pl)
Provides: 	perl(bigrat.pl)
Provides: 	perl(bytes_heavy.pl)
Provides:	perl(bytes)
Provides: 	perl(cacheout.pl)
Provides: 	perl(complete.pl)
Provides:	perl(constant)
Provides: 	perl(ctime.pl)
Provides: 	perl(dotsh.pl)
Provides: 	perl(dumpvar.pl)
Provides: 	perl(exceptions.pl)
Provides:	perl(fastcwd.pl)
Provides: 	perl(find.pl)
Provides: 	perl(finddepth.pl)
Provides: 	perl(flush.pl)
Provides: 	perl(ftp.pl)
Provides: 	perl(getcwd.pl)
Provides: 	perl(getopt.pl)
Provides: 	perl(getopts.pl)
Provides: 	perl(hostname.pl)
Provides: 	perl(importenv.pl)
Provides: 	perl(look.pl)
Provides: 	perl(newgetopt.pl)
Provides: 	perl(open2.pl)
Provides: 	perl(open3.pl)
Provides: 	perl(perl5db.pl)
Provides: 	perl(pwd.pl)
Provides: 	perl(shellwords.pl)
Provides: 	perl(stat.pl)
Provides: 	perl(syslog.pl)
Provides: 	perl(tainted.pl)
Provides: 	perl(termcap.pl)
Provides: 	perl(timelocal.pl)
Provides: 	perl(utf8_heavy.pl)
Provides: 	perl(validate.pl)
Provides: 	perl(Carp::Heavy)
Provides:	perl(FCGI)
Provides:	perl(Mac::BuildTools)
Provides:	perl(Mac::InternetConfig)
Provides:	perl(NDBM_File)
Provides:	perl(Tk) 
Provides:	perl(Tk::Pod) 
Provides:	perl(v5.6.0) 
Provides:	perl(vars)
Provides:	perl(strict)
Provides:	perl(Digest::HMAC_MD5)
Provides:	perl(Win32)
Provides:	perl(DCOP)
Provides:	perl(:MODULE_COMPAT_%{version})
Provides:	perl(Your::Module::Here)

Obsoletes: 	perl-Digest-MD5
Obsoletes: 	perl-MIME-Base64
Obsoletes: 	perl-libnet
Obsoletes: 	perl-Storable
Obsoletes: 	perl-CGI
Obsoletes: 	perl-CPAN
Obsoletes: 	perl-DB_File
Obsoletes: 	perl-Filter
Obsoletes: 	perl-Filter-Simple
Obsoletes: 	perl-Time-HiRes
Obsoletes:	perl-Archive-Tar
Obsoletes:	perl-Compress-Zlib
Obsoletes:	perl-Digest-SHA
Obsoletes:	perl-ExtUtils-CBuilder
Obsoletes:	perl-ExtUtils-ParseXS
Obsoletes:	perl-File-Spec
Obsoletes:	perl-Pod-Escapes
Obsoletes:	perl-Pod-Parser
Obsoletes:	perl-Pod-Simple
Obsoletes:	perl-Term-ReadLine-Perl
Obsoletes:	perl-Test-Builder-Tester
Obsoletes:	perl-Test-Harness
Obsoletes:	perl-Test-Simple
Obsoletes:	perl-Text-Balanced
Obsoletes:	perl-Module-Build

BuildRequires:	syslog-ng
BuildRequires:  eventlog-devel

%define         __find_provides /usr/lib/rpm/rpmdeps --define="__perl_provides /bin/sh -c '%{__perl} /usr/lib/rpm/perl.prov'" --define="__perl_requires /bin/sh -c 'cat >/dev/null'" --provides

%description
The Perl package contains the Practical Extraction and Report Language.

%package	man
Summary: 	%{name} manuals.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	man
%{name} manuals.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure.gnu --prefix=%_prefix -Dpager="/bin/less -isR" -Dusethreads
make

%install
rm -rf $RPM_BUILD_ROOT
make test || exit -1
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir

%files man
%defattr(-,root,root)
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 10 2008 Christian Wasem <wasem@ccux-linux.de> 5.10.0-3
- fixed Provides perl(:MODUL_COMPAT_X.X.X) tag
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 5.10.0-2
- updated Obsolete Tags
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.10.0-1
- Version Update
* Sun Oct 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.8.8-3
- added perl(:MODULE_COMPAT_5.8.8) as provided module
* Sun Apr 30 2006 Christian Wasem <wasem@ccux-linux.de> 5.8.8-2
- added perl(constant) as provided module
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 5.8.8-1
- Version Update
- added Provides: perl(bytes)
* Mon Dec 26 2005 Christian Wasem <wasem@ccux-linux.de> 5.8.7-3
- rebuilt, added Provides: perl(DCOP) (Bug #0000124)
* Thu Dec 08 2005 Christian Wasem <wasem@ccux-linux.de> 5.8.7-2
- added Epoch-Tag
* Fri Dec 02 2005 Stefan Gottwald <gotti@ccux-linux.de> 5.8.7-1
- version update
* Fri Apr 16 2004 Christian Metzen <metzench@datahighways.de> 5.8.3-4
- version before
